=== ChangeLog discontinued ===

	With the move to git, GTK+ is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-03-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.16.0 ===

2009-03-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.5 ===

2009-02-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.4 ===

2009-02-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.3 ===

2009-01-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.2 ===

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.1 ===

2009-01-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.0 ===

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.2 ===

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.1 ===

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.0 ===

2008-08-18  Matthias Clasen  <mclasen@redhat.com>

	* ==== Released 2.13.7 ===

2008-08-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.6 ===

2008-07-21  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.5 ===

2008-07-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.4 ===

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.3 ===

2008-06-03  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.2 ===

2008-05-29  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.13.1 ===

2008-05-26  Michael Natterer  <mitch@imendio.com>

	* gdk-pixbuf-xlib.h
	* gdk-pixbuf-xlibrgb.h: use G_BEGIN/END_DECLS.

2008-02-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.0 ===

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.12.1 ===

2007-09-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.12.0 ===

2007-07-21  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.6 ===

2007-07-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.5 ===

2007-06-19  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.11.4 ===

2007-06-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.3 ===

2007-06-06  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.2 ===

2007-06-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.1 ===

2007-05-24   Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.0 ===

2006-10-08  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf-xlib.c: Apply a cleanup patch by
	Kjartan	Maraas  (#341812)

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.10.2 ===

2006-07-23  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.1 ===

2006-07-02  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.0 ===

2006-06-21  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.9.4 ===

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.3 ===

2006-06-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.2 ===

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.1 ====

2006-05-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.0 ===

2005-11-17  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf-xlib-drawable.c: 
	* gdk-pixbuf-xlibrgb.c: const correctness fixes
	found by Arjan van de Ven and gcc.

2005-10-05  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf-xlib-2.0.pc.in (Requires): Require
	gmodule-no-export-2.0 instead of gmodule-2.0

2005-08-24  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.2 ===

	* === Released 2.8.1 ===

2005-08-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.0 ===

2005-08-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.5 ===

2005-07-22  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.4 === 

2005-07-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.3 ===
	
2005-07-08  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.7.2 ===

2005-07-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.1 ===
	
2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.0 ===

2005-01-08  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.1 ===
	
2004-12-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.0 ===

2004-12-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.6 ===

2004-11-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.5 ===

2004-10-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.4 ===

2004-09-19  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.3 ===

2004-08-25  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.2 ===

2004-08-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.1 ===

Tue Jul 20 23:26:10 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf-xlibrgb.c:  Include config.h first.  (#148034)

Sun Jul 18 20:17:41 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* === released 2.5.0 ==

Tue Mar  9 09:33:54 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.3.6 ===

Wed Mar  3 15:50:28 2004  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am (libgdk_pixbuf_xlib_2_0_la_LIBADD): Add 
	a shared library dependency on libgdk-pixbuf (#124687)

Tue Feb 24 14:45:03 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.3.3 ===

Fri Feb 13 10:32:09 2004  Owen Taylor  <otaylor@redhat.com>

	* gdk-pixbuf-xlibrgb.h: Remove a couple of unneeded
	#includes. Isn't unsupported code fun?
	(133833, Gregory Merchan)

Tue Oct  7 23:30:00 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf-xlib.h: Add C++ guards. (123955, Harring Figueiredo)

2002-08-06  jacob berkman  <jacob@ximian.com>

	* Makefile.am (lib_LTLIBRARIES): link against xlibs

2002-01-25  Federico Mena Quintero  <federico@ximian.com>

	Merge from gdk-pixbuf stable.

	* gdk-pixbuf-xlib-drawable.c (rgb565msb): Fixed the endianness
	conversion --- swap the individual 16 bit values instead of taking
	everying as a 32 bit value.
	(rgb565lsb): Likewise.
	(rgb555lsb): Likewise.
	(rgb555msb): Likewise.

2001-11-26  Akira TAGOH  <tagoh@redhat.com>

	* Makefile.am (libgdk_pixbuf_xlib_1_3_la_LDFLAGS):
	Added -version-info.

2001-05-19  Havoc Pennington  <hp@pobox.com>

	* gdk-pixbuf-xlibrgb.c: docs

2001-06-04  Havoc Pennington  <hp@redhat.com>

	* gdk-pixbuf-xlibrgb.c (xlib_rgb_init): remove C++ comment,
	reported by Dan McNichol

Mon Jan  8 11:41:41 2001  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am (INCLUDES): Add @x_cflags@ (#36310)

2001-01-02  Havoc Pennington  <hp@redhat.com>

	* gdk-pixbuf-xlib-2.0.pc.in (Description): fix up description a bit.

2000-10-06  Havoc Pennington  <hp@redhat.com>

	* gdk-pixbuf-xlib.c: Put display/screen here, instead of in 
	the main gdk-pixbuf library as it was in 1.0; since the io-xpm 
	loader doesn't use these variables anymore it should be OK

2000-09-26  Federico Mena Quintero  <federico@helixcode.com>

	* gdk-pixbuf/gdk-pixbuf-xlib-drawable.c
	(gdk_pixbuf_xlib_get_from_drawable): Do not use
	gdk_screen_{width,height}().  Thanks to John Harper for pointing
	this out.

2000-08-26  Federico Mena Quintero  <federico@helixcode.com>

	* gdk-pixbuf/gdk-pixbuf-xlibrgb.c: Added API reference docs.

2000-08-25  Federico Mena Quintero  <federico@helixcode.com>

	* gdk-pixbuf/gdk-pixbuf-xlib-drawable.c (handle_x_error): Return
	0.
	(xlib_window_is_viewable): Return FALSE in the last case.

	* gdk-pixbuf/gdk-pixbuf-xlib-render.c: Updated the inline docs.

	* gdk-pixbuf/gdk-pixbuf-xlib.c: Added API docs.

2000-08-25  John Harper  <john@dcs.warwick.ac.uk>

	Work to create an Xlib version of gdk-pixbuf (with the Xlib
	port of GdkRGB for rendering):

	* configure.in: check for X libraries, set and substitute
	GDK_PIXBUF_XLIB_{LIBDIR,INCLUDEDIR,LIBS} variables

	* gdk_pixbuf_xlibConf.sh.in: new file -- gnome-config details
	for the gdk-pixbuf-xlib library
	* Makefile.am: build and install gdk_pixbuf_xlibConf.sh

	* gdk-pixbuf/gdk-pixbuf-xlib-render.c,
	gdk-pixbuf/gdk-pixbuf-xlib.c, gdk-pixbuf/gdk-pixbuf-xlib.h,
	gdk-pixbuf/gdk-pixbuf-xlib-private.h,
	gdk-pixbuf/gdk-pixbuf-xlib-drawable.c: new files, ported the
	GDK dependent parts of gdk-pixbuf to use Xlib. Functions that
	were called gdk_pixbuf_FOO are now gdk_pixbuf_xlib_FOO

	* gdk-pixbuf/gdk-pixbuf-xlibrgb.c,
	gdk-pixbuf/gdk-pixbuf-xlibrgb.h: added Chris Blizzard's Xlib
	port of GdkRGB (from Mozilla CVS)

	* gdk-pixbuf/Makefile.am: build a library libgdk_pixbuf_xlib.la
	including the non-GDK dependent objects from libgdk_pixbuf.la
	plus the Xlib ports and xlibrgb
